## org.eclipse.datatools.modelbase.dbdefinition.impl
Class DatabaseVendorDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.DatabaseVendorDefinitionImpl

All Implemented Interfaces:
  DatabaseVendorDefinition

public class DatabaseVendorDefinitionImpl
extends EObjectImpl
implements DatabaseVendorDefinition

An implementation of the model object 'Database Vendor Definition'.

The following features are implemented:

- `Predefined Data Type Definitions`
- `Table Space Definition`
- `Stored Procedure Definition`
- `Trigger Definition`
- `Column Definition`
- `Constraint Definition`
- `Extended Definitions`
- `Index Definition`
- `Table Definition`
- `Sequence Definition`
- `Udt Definition`
- `Query Definition`
- `SQL Syntax Definition`
- `Nickname Definition`
- `Schema Definition`
- `View Definition`
- `Debugger Definition`
- `Privileged Element Definitions`
- `Vendor`
- `Version`
- `Constraints Supported`
- `Maximum Identifier Length`
- `Trigger Supported`
- `Snapshot View Supported`
- `Join Supported`
- `View Trigger Supported`
- `Tablespaces Supported`
- `Maximum Comment Length`
- `Sequence Supported`
- `MQT Supported`
- `Schema Supported`
- `Alias Supported`
- `Synonym Supported`
- `User Defined Type Supported`
- `Domain Supported`
- `SQL Statement Supported`
- `Nickname Supported`
- `Quoted DML Supported`
- `Quoted DDL Supported`
- `Xml Supported`
- `MQT Index Supported`
- `Event Supported`
- `Sql UDF Supported`
- `Stored Procedure Supported`
- `Package Supported`
- `Authorization Identifier Supported`
- `Role Supported`
- `Group Supported`
- `User Supported`
- `Role Authorization Supported`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetColumnDefinition(ColumnDefinition newColumnDefinition, NotificationChain msgs)`
`NotificationChain` `basicSetConstraintDefinition(ConstraintDefinition newConstraintDefinition, NotificationChain msgs)`
`NotificationChain` `basicSetDebuggerDefinition(DebuggerDefinition newDebuggerDefinition, NotificationChain msgs)`
`NotificationChain` `basicSetIndexDefinition(IndexDefinition newIndexDefinition, NotificationChain msgs)`
`NotificationChain` `basicSetNicknameDefinition(NicknameDefinition newNicknameDefinition, NotificationChain msgs)`
`NotificationChain` `basicSetQueryDefinition(QueryDefinition newQueryDefinition, NotificationChain msgs)`
`NotificationChain` `basicSetSchemaDefinition(SchemaDefinition newSchemaDefinition, NotificationChain msgs)`
`NotificationChain` `basicSetSequenceDefinition(SequenceDefinition newSequenceDefinition, NotificationChain msgs)`
`NotificationChain` `basicSetSQLSyntaxDefinition(SQLSyntaxDefinition newSQLSyntaxDefinition, NotificationChain msgs)`
`NotificationChain` `basicSetStoredProcedureDefinition(StoredProcedureDefinition newStoredProcedureDefinition, NotificationChain msgs)`
`NotificationChain` `basicSetTableDefinition(TableDefinition newTableDefinition, NotificationChain msgs)`
`NotificationChain` `basicSetTableSpaceDefinition(TableSpaceDefinition newTableSpaceDefinition, NotificationChain msgs)`
`NotificationChain` `basicSetTriggerDefinition(TriggerDefinition newTriggerDefinition, NotificationChain msgs)`
`NotificationChain` `basicSetUdtDefinition(UserDefinedTypeDefinition newUdtDefinition, NotificationChain msgs)`
`NotificationChain` `basicSetViewDefinition(ViewDefinition newViewDefinition, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`ColumnDefinition` `getColumnDefinition()`
`ConstraintDefinition` `getConstraintDefinition()`
`DebuggerDefinition` `getDebuggerDefinition()`
`EList` `getExtendedDefinitions()`
`IndexDefinition` `getIndexDefinition()`
`int` `getMaximumCommentLength()`
`int` `getMaximumIdentifierLength()`
`NicknameDefinition` `getNicknameDefinition()`
`EList` `getPredefinedDataTypeDefinitions()`
`EList` `getPrivilegedElementDefinitions()`
`QueryDefinition` `getQueryDefinition()`
`SchemaDefinition` `getSchemaDefinition()`
`SequenceDefinition` `getSequenceDefinition()`
`SQLSyntaxDefinition` `getSQLSyntaxDefinition()`
`StoredProcedureDefinition` `getStoredProcedureDefinition()`
`TableDefinition` `getTableDefinition()`
`TableSpaceDefinition` `getTableSpaceDefinition()`
`TriggerDefinition` `getTriggerDefinition()`
`UserDefinedTypeDefinition` `getUdtDefinition()`
`java.lang.String` `getVendor()`
`java.lang.String` `getVersion()`
`ViewDefinition` `getViewDefinition()`
`boolean` `isAliasSupported()`
`boolean` `isAuthorizationIdentifierSupported()`
`boolean` `isConstraintsSupported()`
`boolean` `isDomainSupported()`
`boolean` `isEventSupported()`
`boolean` `isGroupSupported()`
`boolean` `isJoinSupported()`
`boolean` `isMQTIndexSupported()`
`boolean` `isMQTSupported()`
`boolean` `isNicknameSupported()`
`boolean` `isPackageSupported()`
`boolean` `isQuotedDDLSupported()`
`boolean` `isQuotedDMLSupported()`
`boolean` `isRoleAuthorizationSupported()`
`boolean` `isRoleSupported()`
`boolean` `isSchemaSupported()`
`boolean` `isSequenceSupported()`
`boolean` `isSnapshotViewSupported()`
`boolean` `isSQLStatementSupported()`
`boolean` `isSqlUDFSupported()`
`boolean` `isStoredProcedureSupported()`
`boolean` `isSynonymSupported()`
`boolean` `isTablespacesSupported()`
`boolean` `isTriggerSupported()`
`boolean` `isUserDefinedTypeSupported()`
`boolean` `isUserSupported()`
`boolean` `isViewTriggerSupported()`
`boolean` `isXmlSupported()`
`void` `setAliasSupported(boolean newAliasSupported)`
`void` `setAuthorizationIdentifierSupported(boolean newAuthorizationIdentifierSupported)`
`void` `setColumnDefinition(ColumnDefinition newColumnDefinition)`
`void` `setConstraintDefinition(ConstraintDefinition newConstraintDefinition)`
`void` `setConstraintsSupported(boolean newConstraintsSupported)`
`void` `setDebuggerDefinition(DebuggerDefinition newDebuggerDefinition)`
`void` `setDomainSupported(boolean newDomainSupported)`
`void` `setEventSupported(boolean newEventSupported)`
`void` `setGroupSupported(boolean newGroupSupported)`
`void` `setIndexDefinition(IndexDefinition newIndexDefinition)`
`void` `setJoinSupported(boolean newJoinSupported)`
`void` `setMaximumCommentLength(int newMaximumCommentLength)`
`void` `setMaximumIdentifierLength(int newMaximumIdentifierLength)`
`void` `setMQTIndexSupported(boolean newMQTIndexSupported)`
`void` `setMQTSupported(boolean newMQTSupported)`
`void` `setNicknameDefinition(NicknameDefinition newNicknameDefinition)`
`void` `setNicknameSupported(boolean newNicknameSupported)`
`void` `setPackageSupported(boolean newPackageSupported)`
`void` `setQueryDefinition(QueryDefinition newQueryDefinition)`
`void` `setQuotedDDLSupported(boolean newQuotedDDLSupported)`
`void` `setQuotedDMLSupported(boolean newQuotedDMLSupported)`
`void` `setRoleAuthorizationSupported(boolean newRoleAuthorizationSupported)`
`void` `setRoleSupported(boolean newRoleSupported)`
`void` `setSchemaDefinition(SchemaDefinition newSchemaDefinition)`
`void` `setSchemaSupported(boolean newSchemaSupported)`
`void` `setSequenceDefinition(SequenceDefinition newSequenceDefinition)`
`void` `setSequenceSupported(boolean newSequenceSupported)`
`void` `setSnapshotViewSupported(boolean newSnapshotViewSupported)`
`void` `setSQLStatementSupported(boolean newSQLStatementSupported)`
`void` `setSQLSyntaxDefinition(SQLSyntaxDefinition newSQLSyntaxDefinition)`
`void` `setSqlUDFSupported(boolean newSqlUDFSupported)`
`void` `setStoredProcedureDefinition(StoredProcedureDefinition newStoredProcedureDefinition)`
`void` `setStoredProcedureSupported(boolean newStoredProcedureSupported)`
`void` `setSynonymSupported(boolean newSynonymSupported)`
`void` `setTableDefinition(TableDefinition newTableDefinition)`
`void` `setTableSpaceDefinition(TableSpaceDefinition newTableSpaceDefinition)`
`void` `setTablespacesSupported(boolean newTablespacesSupported)`
`void` `setTriggerDefinition(TriggerDefinition newTriggerDefinition)`
`void` `setTriggerSupported(boolean newTriggerSupported)`
`void` `setUdtDefinition(UserDefinedTypeDefinition newUdtDefinition)`
`void` `setUserDefinedTypeSupported(boolean newUserDefinedTypeSupported)`
`void` `setUserSupported(boolean newUserSupported)`
`void` `setVendor(java.lang.String newVendor)`
`void` `setVersion(java.lang.String newVersion)`
`void` `setViewDefinition(ViewDefinition newViewDefinition)`
`void` `setViewTriggerSupported(boolean newViewTriggerSupported)`
`void` `setXmlSupported(boolean newXmlSupported)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getVendor

    public java.lang.String getVendor()

  Specified by:
    `getVendor` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Vendor' attribute.
  See Also:
    `DatabaseVendorDefinition.setVendor(String)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_Vendor()`

### setVendor

    public void setVendor(java.lang.String newVendor)

  Specified by:
    `setVendor` in interface `DatabaseVendorDefinition`
  Parameters:
    `newVendor` - the new value of the 'Vendor' attribute.
  See Also:
    `DatabaseVendorDefinition.getVendor()`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Version' attribute.
  See Also:
    `DatabaseVendorDefinition.setVersion(String)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_Version()`

### setVersion

    public void setVersion(java.lang.String newVersion)

  Specified by:
    `setVersion` in interface `DatabaseVendorDefinition`
  Parameters:
    `newVersion` - the new value of the 'Version' attribute.
  See Also:
    `DatabaseVendorDefinition.getVersion()`

### isConstraintsSupported

    public boolean isConstraintsSupported()

  Specified by:
    `isConstraintsSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Constraints Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setConstraintsSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_ConstraintsSupported()`

### setConstraintsSupported

    public void setConstraintsSupported(boolean newConstraintsSupported)

  Specified by:
    `setConstraintsSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newConstraintsSupported` - the new value of the 'Constraints Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isConstraintsSupported()`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Specified by:
    `getMaximumIdentifierLength` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `DatabaseVendorDefinition.setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int newMaximumIdentifierLength)

  Specified by:
    `setMaximumIdentifierLength` in interface `DatabaseVendorDefinition`
  Parameters:
    `newMaximumIdentifierLength` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `DatabaseVendorDefinition.getMaximumIdentifierLength()`

### isTriggerSupported

    public boolean isTriggerSupported()

  Specified by:
    `isTriggerSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Trigger Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setTriggerSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_TriggerSupported()`

### setTriggerSupported

    public void setTriggerSupported(boolean newTriggerSupported)

  Specified by:
    `setTriggerSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newTriggerSupported` - the new value of the 'Trigger Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isTriggerSupported()`

### isSnapshotViewSupported

    public boolean isSnapshotViewSupported()

  Specified by:
    `isSnapshotViewSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Snapshot View Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setSnapshotViewSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SnapshotViewSupported()`

### setSnapshotViewSupported

    public void setSnapshotViewSupported(boolean newSnapshotViewSupported)

  Specified by:
    `setSnapshotViewSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newSnapshotViewSupported` - the new value of the 'Snapshot View Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isSnapshotViewSupported()`

### isJoinSupported

    public boolean isJoinSupported()

  Specified by:
    `isJoinSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Join Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setJoinSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_JoinSupported()`

### setJoinSupported

    public void setJoinSupported(boolean newJoinSupported)

  Specified by:
    `setJoinSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newJoinSupported` - the new value of the 'Join Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isJoinSupported()`

### isViewTriggerSupported

    public boolean isViewTriggerSupported()

  Specified by:
    `isViewTriggerSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'View Trigger Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setViewTriggerSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_ViewTriggerSupported()`

### setViewTriggerSupported

    public void setViewTriggerSupported(boolean newViewTriggerSupported)

  Specified by:
    `setViewTriggerSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newViewTriggerSupported` - the new value of the 'View Trigger Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isViewTriggerSupported()`

### isTablespacesSupported

    public boolean isTablespacesSupported()

  Specified by:
    `isTablespacesSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Tablespaces Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setTablespacesSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_TablespacesSupported()`

### setTablespacesSupported

    public void setTablespacesSupported(boolean newTablespacesSupported)

  Specified by:
    `setTablespacesSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newTablespacesSupported` - the new value of the 'Tablespaces Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isTablespacesSupported()`

### getMaximumCommentLength

    public int getMaximumCommentLength()

  Specified by:
    `getMaximumCommentLength` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Maximum Comment Length' attribute.
  See Also:
    `DatabaseVendorDefinition.setMaximumCommentLength(int)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_MaximumCommentLength()`

### setMaximumCommentLength

    public void setMaximumCommentLength(int newMaximumCommentLength)

  Specified by:
    `setMaximumCommentLength` in interface `DatabaseVendorDefinition`
  Parameters:
    `newMaximumCommentLength` - the new value of the 'Maximum Comment Length' attribute.
  See Also:
    `DatabaseVendorDefinition.getMaximumCommentLength()`

### isSequenceSupported

    public boolean isSequenceSupported()

  Specified by:
    `isSequenceSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Sequence Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setSequenceSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SequenceSupported()`

### setSequenceSupported

    public void setSequenceSupported(boolean newSequenceSupported)

  Specified by:
    `setSequenceSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newSequenceSupported` - the new value of the 'Sequence Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isSequenceSupported()`

### isMQTSupported

    public boolean isMQTSupported()

  Specified by:
    `isMQTSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'MQT Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setMQTSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_MQTSupported()`

### setMQTSupported

    public void setMQTSupported(boolean newMQTSupported)

  Specified by:
    `setMQTSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newMQTSupported` - the new value of the 'MQT Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isMQTSupported()`

### isSchemaSupported

    public boolean isSchemaSupported()

  Specified by:
    `isSchemaSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Schema Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setSchemaSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SchemaSupported()`

### setSchemaSupported

    public void setSchemaSupported(boolean newSchemaSupported)

  Specified by:
    `setSchemaSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newSchemaSupported` - the new value of the 'Schema Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isSchemaSupported()`

### isAliasSupported

    public boolean isAliasSupported()

  Specified by:
    `isAliasSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Alias Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setAliasSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_AliasSupported()`

### setAliasSupported

    public void setAliasSupported(boolean newAliasSupported)

  Specified by:
    `setAliasSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newAliasSupported` - the new value of the 'Alias Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isAliasSupported()`

### isSynonymSupported

    public boolean isSynonymSupported()

  Specified by:
    `isSynonymSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Synonym Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setSynonymSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SynonymSupported()`

### setSynonymSupported

    public void setSynonymSupported(boolean newSynonymSupported)

  Specified by:
    `setSynonymSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newSynonymSupported` - the new value of the 'Synonym Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isSynonymSupported()`

### isUserDefinedTypeSupported

    public boolean isUserDefinedTypeSupported()

  Specified by:
    `isUserDefinedTypeSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'User Defined Type Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setUserDefinedTypeSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_UserDefinedTypeSupported()`

### setUserDefinedTypeSupported

    public void setUserDefinedTypeSupported(boolean newUserDefinedTypeSupported)

  Specified by:
    `setUserDefinedTypeSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newUserDefinedTypeSupported` - the new value of the 'User Defined Type Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isUserDefinedTypeSupported()`

### isDomainSupported

    public boolean isDomainSupported()

  Specified by:
    `isDomainSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Domain Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setDomainSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_DomainSupported()`

### setDomainSupported

    public void setDomainSupported(boolean newDomainSupported)

  Specified by:
    `setDomainSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newDomainSupported` - the new value of the 'Domain Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isDomainSupported()`

### isSQLStatementSupported

    public boolean isSQLStatementSupported()

  Specified by:
    `isSQLStatementSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'SQL Statement Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setSQLStatementSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SQLStatementSupported()`

### setSQLStatementSupported

    public void setSQLStatementSupported(boolean newSQLStatementSupported)

  Specified by:
    `setSQLStatementSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newSQLStatementSupported` - the new value of the 'SQL Statement Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isSQLStatementSupported()`

### isNicknameSupported

    public boolean isNicknameSupported()

  Specified by:
    `isNicknameSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Nickname Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setNicknameSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_NicknameSupported()`

### setNicknameSupported

    public void setNicknameSupported(boolean newNicknameSupported)

  Specified by:
    `setNicknameSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newNicknameSupported` - the new value of the 'Nickname Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isNicknameSupported()`

### isQuotedDMLSupported

    public boolean isQuotedDMLSupported()

  Specified by:
    `isQuotedDMLSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Quoted DML Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setQuotedDMLSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_QuotedDMLSupported()`

### setQuotedDMLSupported

    public void setQuotedDMLSupported(boolean newQuotedDMLSupported)

  Specified by:
    `setQuotedDMLSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newQuotedDMLSupported` - the new value of the 'Quoted DML Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isQuotedDMLSupported()`

### isQuotedDDLSupported

    public boolean isQuotedDDLSupported()

  Specified by:
    `isQuotedDDLSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Quoted DDL Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setQuotedDDLSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_QuotedDDLSupported()`

### setQuotedDDLSupported

    public void setQuotedDDLSupported(boolean newQuotedDDLSupported)

  Specified by:
    `setQuotedDDLSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newQuotedDDLSupported` - the new value of the 'Quoted DDL Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isQuotedDDLSupported()`

### isXmlSupported

    public boolean isXmlSupported()

  Specified by:
    `isXmlSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Xml Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setXmlSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_XmlSupported()`

### setXmlSupported

    public void setXmlSupported(boolean newXmlSupported)

  Specified by:
    `setXmlSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newXmlSupported` - the new value of the 'Xml Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isXmlSupported()`

### isMQTIndexSupported

    public boolean isMQTIndexSupported()

  Specified by:
    `isMQTIndexSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'MQT Index Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setMQTIndexSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_MQTIndexSupported()`

### setMQTIndexSupported

    public void setMQTIndexSupported(boolean newMQTIndexSupported)

  Specified by:
    `setMQTIndexSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newMQTIndexSupported` - the new value of the 'MQT Index Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isMQTIndexSupported()`

### isEventSupported

    public boolean isEventSupported()

  Specified by:
    `isEventSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Event Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setEventSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_EventSupported()`

### setEventSupported

    public void setEventSupported(boolean newEventSupported)

  Specified by:
    `setEventSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newEventSupported` - the new value of the 'Event Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isEventSupported()`

### isSqlUDFSupported

    public boolean isSqlUDFSupported()

  Specified by:
    `isSqlUDFSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Sql UDF Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setSqlUDFSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SqlUDFSupported()`

### setSqlUDFSupported

    public void setSqlUDFSupported(boolean newSqlUDFSupported)

  Specified by:
    `setSqlUDFSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newSqlUDFSupported` - the new value of the 'Sql UDF Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isSqlUDFSupported()`

### isStoredProcedureSupported

    public boolean isStoredProcedureSupported()

  Specified by:
    `isStoredProcedureSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Stored Procedure Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setStoredProcedureSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_StoredProcedureSupported()`

### setStoredProcedureSupported

    public void setStoredProcedureSupported(boolean newStoredProcedureSupported)

  Specified by:
    `setStoredProcedureSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newStoredProcedureSupported` - the new value of the 'Stored Procedure Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isStoredProcedureSupported()`

### isPackageSupported

    public boolean isPackageSupported()

  Specified by:
    `isPackageSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Package Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setPackageSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_PackageSupported()`

### setPackageSupported

    public void setPackageSupported(boolean newPackageSupported)

  Specified by:
    `setPackageSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newPackageSupported` - the new value of the 'Package Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isPackageSupported()`

### isAuthorizationIdentifierSupported

    public boolean isAuthorizationIdentifierSupported()

  Specified by:
    `isAuthorizationIdentifierSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Authorization Identifier Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setAuthorizationIdentifierSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_AuthorizationIdentifierSupported()`

### setAuthorizationIdentifierSupported

    public void setAuthorizationIdentifierSupported(boolean newAuthorizationIdentifierSupported)

  Specified by:
    `setAuthorizationIdentifierSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newAuthorizationIdentifierSupported` - the new value of the 'Authorization Identifier Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isAuthorizationIdentifierSupported()`

### isRoleSupported

    public boolean isRoleSupported()

  Specified by:
    `isRoleSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Role Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setRoleSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_RoleSupported()`

### setRoleSupported

    public void setRoleSupported(boolean newRoleSupported)

  Specified by:
    `setRoleSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newRoleSupported` - the new value of the 'Role Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isRoleSupported()`

### isGroupSupported

    public boolean isGroupSupported()

  Specified by:
    `isGroupSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Group Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setGroupSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_GroupSupported()`

### setGroupSupported

    public void setGroupSupported(boolean newGroupSupported)

  Specified by:
    `setGroupSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newGroupSupported` - the new value of the 'Group Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isGroupSupported()`

### isUserSupported

    public boolean isUserSupported()

  Specified by:
    `isUserSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'User Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setUserSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_UserSupported()`

### setUserSupported

    public void setUserSupported(boolean newUserSupported)

  Specified by:
    `setUserSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newUserSupported` - the new value of the 'User Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isUserSupported()`

### isRoleAuthorizationSupported

    public boolean isRoleAuthorizationSupported()

  Specified by:
    `isRoleAuthorizationSupported` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Role Authorization Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.setRoleAuthorizationSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_RoleAuthorizationSupported()`

### setRoleAuthorizationSupported

    public void setRoleAuthorizationSupported(boolean newRoleAuthorizationSupported)

  Specified by:
    `setRoleAuthorizationSupported` in interface `DatabaseVendorDefinition`
  Parameters:
    `newRoleAuthorizationSupported` - the new value of the 'Role Authorization Supported' attribute.
  See Also:
    `DatabaseVendorDefinition.isRoleAuthorizationSupported()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### getPredefinedDataTypeDefinitions

    public EList getPredefinedDataTypeDefinitions()

  Specified by:
    `getPredefinedDataTypeDefinitions` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Predefined Data Type Definitions' containment reference list.
  See Also:
    `DatabaseDefinitionPackage.getDatabaseVendorDefinition_PredefinedDataTypeDefinitions()`

### getTableSpaceDefinition

    public TableSpaceDefinition getTableSpaceDefinition()

  Specified by:
    `getTableSpaceDefinition` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Table Space Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.setTableSpaceDefinition(TableSpaceDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_TableSpaceDefinition()`

### basicSetTableSpaceDefinition

    public NotificationChain basicSetTableSpaceDefinition(TableSpaceDefinition newTableSpaceDefinition,
                                                          NotificationChain msgs)

### setTableSpaceDefinition

    public void setTableSpaceDefinition(TableSpaceDefinition newTableSpaceDefinition)

  Specified by:
    `setTableSpaceDefinition` in interface `DatabaseVendorDefinition`
  Parameters:
    `newTableSpaceDefinition` - the new value of the 'Table Space Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.getTableSpaceDefinition()`

### getStoredProcedureDefinition

    public StoredProcedureDefinition getStoredProcedureDefinition()

  Specified by:
    `getStoredProcedureDefinition` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Stored Procedure Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.setStoredProcedureDefinition(StoredProcedureDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_StoredProcedureDefinition()`

### basicSetStoredProcedureDefinition

    public NotificationChain basicSetStoredProcedureDefinition(StoredProcedureDefinition newStoredProcedureDefinition,
                                                               NotificationChain msgs)

### setStoredProcedureDefinition

    public void setStoredProcedureDefinition(StoredProcedureDefinition newStoredProcedureDefinition)

  Specified by:
    `setStoredProcedureDefinition` in interface `DatabaseVendorDefinition`
  Parameters:
    `newStoredProcedureDefinition` - the new value of the 'Stored Procedure Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.getStoredProcedureDefinition()`

### getTriggerDefinition

    public TriggerDefinition getTriggerDefinition()

  Specified by:
    `getTriggerDefinition` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Trigger Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.setTriggerDefinition(TriggerDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_TriggerDefinition()`

### basicSetTriggerDefinition

    public NotificationChain basicSetTriggerDefinition(TriggerDefinition newTriggerDefinition,
                                                       NotificationChain msgs)

### setTriggerDefinition

    public void setTriggerDefinition(TriggerDefinition newTriggerDefinition)

  Specified by:
    `setTriggerDefinition` in interface `DatabaseVendorDefinition`
  Parameters:
    `newTriggerDefinition` - the new value of the 'Trigger Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.getTriggerDefinition()`

### getColumnDefinition

    public ColumnDefinition getColumnDefinition()

  Specified by:
    `getColumnDefinition` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Column Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.setColumnDefinition(ColumnDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_ColumnDefinition()`

### basicSetColumnDefinition

    public NotificationChain basicSetColumnDefinition(ColumnDefinition newColumnDefinition,
                                                      NotificationChain msgs)

### setColumnDefinition

    public void setColumnDefinition(ColumnDefinition newColumnDefinition)

  Specified by:
    `setColumnDefinition` in interface `DatabaseVendorDefinition`
  Parameters:
    `newColumnDefinition` - the new value of the 'Column Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.getColumnDefinition()`

### getConstraintDefinition

    public ConstraintDefinition getConstraintDefinition()

  Specified by:
    `getConstraintDefinition` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Constraint Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.setConstraintDefinition(ConstraintDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_ConstraintDefinition()`

### basicSetConstraintDefinition

    public NotificationChain basicSetConstraintDefinition(ConstraintDefinition newConstraintDefinition,
                                                          NotificationChain msgs)

### setConstraintDefinition

    public void setConstraintDefinition(ConstraintDefinition newConstraintDefinition)

  Specified by:
    `setConstraintDefinition` in interface `DatabaseVendorDefinition`
  Parameters:
    `newConstraintDefinition` - the new value of the 'Constraint Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.getConstraintDefinition()`

### getExtendedDefinitions

    public EList getExtendedDefinitions()

  Specified by:
    `getExtendedDefinitions` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Extended Definitions' containment reference list.
  See Also:
    `DatabaseDefinitionPackage.getDatabaseVendorDefinition_ExtendedDefinitions()`

### getIndexDefinition

    public IndexDefinition getIndexDefinition()

  Specified by:
    `getIndexDefinition` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Index Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.setIndexDefinition(IndexDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_IndexDefinition()`

### basicSetIndexDefinition

    public NotificationChain basicSetIndexDefinition(IndexDefinition newIndexDefinition,
                                                     NotificationChain msgs)

### setIndexDefinition

    public void setIndexDefinition(IndexDefinition newIndexDefinition)

  Specified by:
    `setIndexDefinition` in interface `DatabaseVendorDefinition`
  Parameters:
    `newIndexDefinition` - the new value of the 'Index Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.getIndexDefinition()`

### getTableDefinition

    public TableDefinition getTableDefinition()

  Specified by:
    `getTableDefinition` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Table Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.setTableDefinition(TableDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_TableDefinition()`

### basicSetTableDefinition

    public NotificationChain basicSetTableDefinition(TableDefinition newTableDefinition,
                                                     NotificationChain msgs)

### setTableDefinition

    public void setTableDefinition(TableDefinition newTableDefinition)

  Specified by:
    `setTableDefinition` in interface `DatabaseVendorDefinition`
  Parameters:
    `newTableDefinition` - the new value of the 'Table Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.getTableDefinition()`

### getSequenceDefinition

    public SequenceDefinition getSequenceDefinition()

  Specified by:
    `getSequenceDefinition` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Sequence Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.setSequenceDefinition(SequenceDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SequenceDefinition()`

### basicSetSequenceDefinition

    public NotificationChain basicSetSequenceDefinition(SequenceDefinition newSequenceDefinition,
                                                        NotificationChain msgs)

### setSequenceDefinition

    public void setSequenceDefinition(SequenceDefinition newSequenceDefinition)

  Specified by:
    `setSequenceDefinition` in interface `DatabaseVendorDefinition`
  Parameters:
    `newSequenceDefinition` - the new value of the 'Sequence Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.getSequenceDefinition()`

### getUdtDefinition

    public UserDefinedTypeDefinition getUdtDefinition()

  Specified by:
    `getUdtDefinition` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Udt Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.setUdtDefinition(UserDefinedTypeDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_UdtDefinition()`

### basicSetUdtDefinition

    public NotificationChain basicSetUdtDefinition(UserDefinedTypeDefinition newUdtDefinition,
                                                   NotificationChain msgs)

### setUdtDefinition

    public void setUdtDefinition(UserDefinedTypeDefinition newUdtDefinition)

  Specified by:
    `setUdtDefinition` in interface `DatabaseVendorDefinition`
  Parameters:
    `newUdtDefinition` - the new value of the 'Udt Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.getUdtDefinition()`

### getQueryDefinition

    public QueryDefinition getQueryDefinition()

  Specified by:
    `getQueryDefinition` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Query Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.setQueryDefinition(QueryDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_QueryDefinition()`

### basicSetQueryDefinition

    public NotificationChain basicSetQueryDefinition(QueryDefinition newQueryDefinition,
                                                     NotificationChain msgs)

### setQueryDefinition

    public void setQueryDefinition(QueryDefinition newQueryDefinition)

  Specified by:
    `setQueryDefinition` in interface `DatabaseVendorDefinition`
  Parameters:
    `newQueryDefinition` - the new value of the 'Query Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.getQueryDefinition()`

### getSQLSyntaxDefinition

    public SQLSyntaxDefinition getSQLSyntaxDefinition()

  Specified by:
    `getSQLSyntaxDefinition` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'SQL Syntax Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.setSQLSyntaxDefinition(SQLSyntaxDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SQLSyntaxDefinition()`

### basicSetSQLSyntaxDefinition

    public NotificationChain basicSetSQLSyntaxDefinition(SQLSyntaxDefinition newSQLSyntaxDefinition,
                                                         NotificationChain msgs)

### setSQLSyntaxDefinition

    public void setSQLSyntaxDefinition(SQLSyntaxDefinition newSQLSyntaxDefinition)

  Specified by:
    `setSQLSyntaxDefinition` in interface `DatabaseVendorDefinition`
  Parameters:
    `newSQLSyntaxDefinition` - the new value of the 'SQL Syntax Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.getSQLSyntaxDefinition()`

### getNicknameDefinition

    public NicknameDefinition getNicknameDefinition()

  Specified by:
    `getNicknameDefinition` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Nickname Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.setNicknameDefinition(NicknameDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_NicknameDefinition()`

### basicSetNicknameDefinition

    public NotificationChain basicSetNicknameDefinition(NicknameDefinition newNicknameDefinition,
                                                        NotificationChain msgs)

### setNicknameDefinition

    public void setNicknameDefinition(NicknameDefinition newNicknameDefinition)

  Specified by:
    `setNicknameDefinition` in interface `DatabaseVendorDefinition`
  Parameters:
    `newNicknameDefinition` - the new value of the 'Nickname Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.getNicknameDefinition()`

### getSchemaDefinition

    public SchemaDefinition getSchemaDefinition()

  Specified by:
    `getSchemaDefinition` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Schema Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.setSchemaDefinition(SchemaDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SchemaDefinition()`

### basicSetSchemaDefinition

    public NotificationChain basicSetSchemaDefinition(SchemaDefinition newSchemaDefinition,
                                                      NotificationChain msgs)

### setSchemaDefinition

    public void setSchemaDefinition(SchemaDefinition newSchemaDefinition)

  Specified by:
    `setSchemaDefinition` in interface `DatabaseVendorDefinition`
  Parameters:
    `newSchemaDefinition` - the new value of the 'Schema Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.getSchemaDefinition()`

### getViewDefinition

    public ViewDefinition getViewDefinition()

  Specified by:
    `getViewDefinition` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'View Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.setViewDefinition(ViewDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_ViewDefinition()`

### basicSetViewDefinition

    public NotificationChain basicSetViewDefinition(ViewDefinition newViewDefinition,
                                                    NotificationChain msgs)

### setViewDefinition

    public void setViewDefinition(ViewDefinition newViewDefinition)

  Specified by:
    `setViewDefinition` in interface `DatabaseVendorDefinition`
  Parameters:
    `newViewDefinition` - the new value of the 'View Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.getViewDefinition()`

### getDebuggerDefinition

    public DebuggerDefinition getDebuggerDefinition()

  Specified by:
    `getDebuggerDefinition` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Debugger Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.setDebuggerDefinition(DebuggerDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_DebuggerDefinition()`

### basicSetDebuggerDefinition

    public NotificationChain basicSetDebuggerDefinition(DebuggerDefinition newDebuggerDefinition,
                                                        NotificationChain msgs)

### setDebuggerDefinition

    public void setDebuggerDefinition(DebuggerDefinition newDebuggerDefinition)

  Specified by:
    `setDebuggerDefinition` in interface `DatabaseVendorDefinition`
  Parameters:
    `newDebuggerDefinition` - the new value of the 'Debugger Definition' containment reference.
  See Also:
    `DatabaseVendorDefinition.getDebuggerDefinition()`

### getPrivilegedElementDefinitions

    public EList getPrivilegedElementDefinitions()

  Specified by:
    `getPrivilegedElementDefinitions` in interface `DatabaseVendorDefinition`
  Returns:
    the value of the 'Privileged Element Definitions' containment reference list.
  See Also:
    `DatabaseDefinitionPackage.getDatabaseVendorDefinition_PrivilegedElementDefinitions()`

### toString

    public java.lang.String toString()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.